%define name autoglade
%define version 0.5
%define release %mkrel 3
%define debug_package %{nil}

Summary: Autoglade automagic GUI builder
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/GNOME and GTK+
URL: http://autoglade.sourceforge.net
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python >= 2.6 
Requires: pygtk2.0 pygtk2.0-libglade
Requires: gnome-python 
Requires: gnome-python-gconf
Requires: GConf2 

%description
Autoglade is a tool that automagically creates a fully working application 
from the GUI glade definition plus some declarative information. It can be 
used as a command line tool to create simple applications with no programming.

Autoglade could be run directly or can be used from other modules to obtain 
automagic application generation from the Glade GUI interface definition.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=$RPM_BUILD_ROOT 
mkdir -p %{buildroot}/%{_bindir} 

%clean
rm -rf %{buildroot}

%post 
ln -s %{python_sitelib}/%{name}/autoglade.py %{_bindir}/autoglade

%files
%doc *.txt examples html
%defattr(-,root,root)
%{python_sitelib}/*


%changelog
* Mon Apr 06 2015 pinoc <vogtpet at gmail.com> 0.5-3pclos2015
- Drop obsolete Require python-pyxml

* Fri Aug 16 2013 billybot <billybot> 0.5-2pclos2013
- update python 2.7

* Sat Nov 17 2012 ken <lxgator at gmail.com> 0.5-pclos2012
- initial build
